<template>
  <div>
    <STabs :tabs="tabs">
      <template #search>
        <SearchResource />
      </template>
      <template #advanced-search>
        <AdvancedSearch />
      </template>
    </STabs>
  </div>
</template>

<script setup lang="ts">
import STabs, { type STabProps } from '../common/STabs.vue';
import SearchResource from './SearchResource.vue';
import AdvancedSearch from './AdvancedSearch.vue';

const tabs: STabProps[] = [
  { tabName: 'search', tabTitle: 'Search' },
  { tabName: 'advanced-search', tabTitle: 'Advanced search' },
];
</script>
